import requests
url = "https://api.paywise.de/v2/debtors/"
payload = {
"acting_as": "consumer",
"person": {
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
acting_as: 'consumer',
person: {first_name: 'Alex', last_name: 'Example', salutation: 'mx'}
})
};
fetch('https://api.paywise.de/v2/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/debtors/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acting_as\": \"consumer\",\n \"person\": {\n \"first_name\": \"Alex\",\n \"last_name\": \"Example\",\n \"salutation\": \"mx\"\n }\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"acting_as\": \"consumer\",\n \"person\": {\n \"first_name\": \"Alex\",\n \"last_name\": \"Example\",\n \"salutation\": \"mx\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/debtors/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"acting_as": "consumer",
"person": {
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
}
}
'{
"acting_as": "consumer",
"addresses": [
{
"city": "<string>",
"country": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postal_code": "<string>",
"primary": true,
"street": "<string>"
}
],
"bank_accounts": [
{
"account_holder": "<string>",
"bic": "<string>",
"iban": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"communication_channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"events": [
{
"description": "<string>",
"location": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "<string>",
"your_reference": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"legal_representatives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"legal_representatives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"role": "managing_director"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"role": "managing_director"
}
],
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"updated_at": "2023-11-07T05:31:56Z",
"your_reference": "<string>"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Create debtor
The reusable debtors of your company.
List, retrieve, create, and PATCH. A supplied owned collection
(addresses, bank accounts, communication channels, legal
representatives) replaces that collection completely; omitted
collections stay unchanged. A case’s debtor is the case’s own snapshot
(published as MandateDebtor without an id) and is not a reusable
debtor: it is neither listed nor readable here.
import requests
url = "https://api.paywise.de/v2/debtors/"
payload = {
"acting_as": "consumer",
"person": {
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
acting_as: 'consumer',
person: {first_name: 'Alex', last_name: 'Example', salutation: 'mx'}
})
};
fetch('https://api.paywise.de/v2/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/debtors/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acting_as\": \"consumer\",\n \"person\": {\n \"first_name\": \"Alex\",\n \"last_name\": \"Example\",\n \"salutation\": \"mx\"\n }\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"acting_as\": \"consumer\",\n \"person\": {\n \"first_name\": \"Alex\",\n \"last_name\": \"Example\",\n \"salutation\": \"mx\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/debtors/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"acting_as": "consumer",
"person": {
"first_name": "Alex",
"last_name": "Example",
"salutation": "mx"
}
}
'{
"acting_as": "consumer",
"addresses": [
{
"city": "<string>",
"country": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postal_code": "<string>",
"primary": true,
"street": "<string>"
}
],
"bank_accounts": [
{
"account_holder": "<string>",
"bic": "<string>",
"iban": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"communication_channels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"events": [
{
"description": "<string>",
"location": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "<string>",
"your_reference": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"legal_representatives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"legal_representatives": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_form": "<string>",
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"role": "managing_director"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"role": "managing_director"
}
],
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"updated_at": "2023-11-07T05:31:56Z",
"your_reference": "<string>"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Headers
Required client-supplied command key scoped to the selected Case company or Partner owner, method, operation and path. An exact retry replays the original response while it is retained, including after credential rotation or replacement. Current permissions are required.
255Body
- Consumer debtor
- Business debtor
Debtor who incurred the obligation as a consumer: a natural person without organization or legal form. Unknown and read-only request fields are rejected with a validation error instead of being silently ignored.
